<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xy.mapper.MqttUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.xy.entity.MqttUser">
        <id column="id" property="id" />
        <result column="username" property="username" />
        <result column="password_hash" property="passwordHash" />
        <result column="salt" property="salt" />
        <result column="is_superuser" property="isSuperuser" />
        <result column="created" property="created" />
    </resultMap>

</mapper>
